Posted by on 11/09/2012
While running Rails 3.2 on production, I encountered the said error above that resulted to Internal Server Error 500.

Internal Server Error 500 on Ruby on Rails

To resolve this, simply add the following:

gem "execjs"
gem "therubyracer"

on your Gemfile and run bundle install again.

This error seems to be happening on Ruby on Rails version 3 and above. This seems to solve the problem though some developers hate this approach of adding another gem on the dependency list. Not to mention that the "therubyracer" is discouraged by some developers since it takes up too much memory.

therubyracer

If you were previously using therubyracer or therubyracer-heroku, these gems are no longer required and strongly discouraged as these gems use a very large amount of memory.

- by Heroku

No comments :

Post a Comment